import request from '@/utils/request'

// 查询干损比例列表
export function listRatio(query) {
  return request({
    url: '/app/ratio/list',
    method: 'get',
    params: query
  })
}

// 查询干损比例详细
export function getRatio(id) {
  return request({
    url: '/app/ratio/' + id,
    method: 'get'
  })
}

// 查询当前满足的干损比
export function getNowRatio() {
  return request({
    url: '/app/ratio/getFit',
    method: 'get'
  })
}


// 新增干损比例
export function addRatio(data) {
  return request({
    url: '/app/ratio',
    method: 'post',
    data: data
  })
}

// 修改干损比例
export function updateRatio(data) {
  return request({
    url: '/app/ratio',
    method: 'put',
    data: data
  })
}

// 删除干损比例
export function delRatio(id) {
  return request({
    url: '/app/ratio/' + id,
    method: 'delete'
  })
}
